## org.apache.commons.math.stat.descriptive
Interface WeightedEvaluation

All Known Implementing Classes:
  Mean, Product, Variance

    public interface WeightedEvaluation

Weighted evaluation for statistics.

Since:
  2.1
Version:
  $Revision: 894474 $ $Date: 2009-12-29 15:02:37 -0500 (Tue, 29 Dec 2009) $

Method Summary
`double` `evaluate(double[] values, double[] weights)` Returns the result of evaluating the statistic over the input array, using the supplied weights.
`double` `evaluate(double[] values, double[] weights, int begin, int length)` Returns the result of evaluating the statistic over the specified entries in the input array, using corresponding entries in the supplied weights array.

Method Detail

### evaluate

    double evaluate(double[] values,
                    double[] weights)

  Returns the result of evaluating the statistic over the input array, using the supplied weights.

  Parameters:
    `values` - input array
    `weights` - array of weights
  Returns:
    the value of the weighted statistic applied to the input array

### evaluate

    double evaluate(double[] values,
                    double[] weights,
                    int begin,
                    int length)

  Returns the result of evaluating the statistic over the specified entries in the input array, using corresponding entries in the supplied weights array.

  Parameters:
    `values` - the input array
    `weights` - array of weights
    `begin` - the index of the first element to include
    `length` - the number of elements to include
  Returns:
    the value of the weighted statistic applied to the included array entries

Copyright (c) 2003-2011 Apache Software Foundation